Subject: Re: bug#12963: Fwd: Small modification to sh-script, to cover unsupported case label

From: Stefan Monnier <[email-masked]>
Date: Fri, 23 Nov 2012 10:53:18 -0500

> By being reset, I mean I have a hook 
> (add-hook 'sh-mode-hook '(lambda () (setq indent-tabs-mode nil)))
> I open a sh file, and when I look at the value of indent-tabs-mode,
> it's t.

I just tried

   % emacs23 -Q --eval "(add-hook 'sh-mode-hook (lambda () (setq indent-tabs-mode nil)))" test/indent/shell.sh

and C-h v indent-tabs-mode tells me it's nil in this buffer.
I suggest you add a (message "here I am") inside the above lambda (and
I also suggest you don't quote your lambdas with "'") to make sure it's
actually run.
   
> It may be something else that's borking it, but it works fine in other
> modes (java, c++). Is there a way to instrument a variable so that I
> can see when it gets changed?

No, but a binary search in your .emacs should quickly find the culprit.

        Stefan